aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2017-07-17 08:51:28 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2017-07-17 14:32:46 +0000
commit97544a0209db2fcfef7ba6807f7a210b21e480f5 (patch)
tree94696b034aed610508ef4e4b45a612fa5fcac0ec
parent51b05983cdc2978d8f0240b98846ab8d4a4c00d1 (diff)
downloadaports-97544a0209db2fcfef7ba6807f7a210b21e480f5.tar.bz2
main/ldb: downgrade to 1.1.31
samba 4.6.* does not build with 1.2: /usr/include/ldb_module.h:68:2: error: #error "Samba < 4.7 is not compatible with this version of ldb due to assumptions around read locks"
-rw-r--r--main/ldb/APKBUILD6
1 files changed, 3 insertions, 3 deletions
diff --git a/main/ldb/APKBUILD b/main/ldb/APKBUILD
index 47ca72c..d45bae4 100644
--- a/main/ldb/APKBUILD
+++ b/main/ldb/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=ldb
-pkgver=1.2.0
-pkgrel=0
+pkgver=1.1.31
+pkgrel=2
pkgdesc="A schema-less, ldap like, API and database"
url="http://ldb.samba.org/"
arch="all"
@@ -49,4 +49,4 @@ tools() {
mv "$pkgdir"/usr/lib/ldb/libldb-cmdline.* "$subpkgdir"/usr/lib/ldb/
}
-sha512sums="5c5124c7d4c648872e52eeebdc3f74a3b755e36fa7462df1784a2d6232ee4b8ce26169900c524c7f00f878a39beb3f8e5ad0565500377ee38fdaa0311463c583 ldb-1.2.0.tar.gz"
+sha512sums="49ccd57000cbcc6d828160f4457236b28853d766d641841471f61226156b6103fe563c43c950577b038ea3c0a54506bca94c640d3d5f912a3b8af95eb9ef2824 ldb-1.1.31.tar.gz"